Subject: FVWM: Missing casts in pl37

From: "Martin Kraemer" <[email-masked]>
Date: Fri, 13 Oct 1995 11:56:06 +0100 (MET)

Hello,

I guess my compiler is a bit _too_ strict. Not all the [warning]s in the
following output are important. But the [error]s point to missing (char*)
casts (or inconsistent prototypes).

cc -kansi -O   -I/usr/include  -I. -I../../libs -Datt=att -DSYSV -DSVR4 -DSVR4_0 -Dsiemens -DXMVERSION=1100 -DSTREAMWRITEMAX=4096 -DSTRNET -DFUNCPROTO      -c FvwmIconBox.c -o FvwmIconBox.o
FvwmIconBox.c:
/usr/include/X11/Xlib.h   232: [warning]:   'class' is a C++ reserved word
/usr/include/X11/Xlib.h   918: [warning]:   'new' is a C++ reserved word
/usr/include/X11/Xproto.h  1385: [warning]:   'delete' is a C++ reserved word
     c0: errors: 0, warnings: 3
FvwmIconBox.c   191: [warning]:   '==' or '=' desired?
FvwmIconBox.c   221: [error]:     Argument type 'ptr to struct  of size 24' does not match parameter type 'ptr to char'
FvwmIconBox.c   229: [warning]:   set_mask_mesg never used
FvwmIconBox.c   247: [warning]:   Condition is always true
FvwmIconBox.c   459: [error]:     Argument type 'ptr to struct  of size 36' does not match parameter type 'ptr to char'
FvwmIconBox.c   580: [warning]:   newbutton never used
FvwmIconBox.c  1243: [warning]:   Condition is always true
FvwmIconBox.c  1436: [warning]:   nonsense never used
FvwmIconBox.c  1789: [warning]:   Argument type 'ptr to unsigned char' does not match parameter type 'ptr to char'
FvwmIconBox.c  1841: [warning]:   '==' or '=' desired?
FvwmIconBox.c  1848: [warning]:   cbody never used
FvwmIconBox.c  1848: [warning]:   total never used
FvwmIconBox.c  1848: [warning]:   count2 set but not used
FvwmIconBox.c  1848: [warning]:   count set but not used
FvwmIconBox.c  1848: [warning]:   body_length never used
FvwmIconBox.c  1867: [warning]:   Flow between cases
FvwmIconBox.c  2010: [warning]:   i set but not used
FvwmIconBox.c  2304: [error]:     Argument type 'ptr to struct  of size 36' does not match parameter type 'ptr to char'
FvwmIconBox.c  2389: [warning]:   ev set but not used
     c1: errors: 3, warnings: 16
[...]
cc -kansi -O   -I/usr/include  -I. -I../../libs -Datt=att -DSYSV -DSVR4 -DSVR4_0 -Dsiemens -DXMVERSION=1100 -DSTREAMWRITEMAX=4096 -DSTRNET -DFUNCPROTO      -c GrabWindow.c -o GrabWindow.o
GrabWindow.c:
/usr/include/X11/Xlib.h   232: [warning]:   'class' is a C++ reserved word
/usr/include/X11/Xlib.h   918: [warning]:   'new' is a C++ reserved word
/usr/include/X11/Xproto.h  1385: [warning]:   'delete' is a C++ reserved word
     c0: errors: 0, warnings: 3
GrabWindow.c   318: [warning]:   Condition is always true
GrabWindow.c   594: [error]:     Argument type 'ptr to struct  of size 36' does not match parameter type 'ptr to char'
GrabWindow.c   763: [warning]:   Argument type 'ptr to unsigned char' does not match parameter type 'ptr to char'
GrabWindow.c   781: [warning]:   Argument type 'ptr to unsigned char' does not match parameter type 'ptr to char'
GrabWindow.c   859: [error]:     Argument type 'ptr to struct  of size 36' does not match parameter type 'ptr to char'
     c1: errors: 2, warnings: 3
[...]

And here, we should only try to strip binaries, not shell scripts...

installing in ./utils...
/usr/ucb/install -c -m 0755 -s -o bin fvwmrc_convert "/home/martin/fvwm-2"
strip: /home/martin/fvwm-2/fvwmrc_convert: invalid file type
/usr/ucb/install -c -m 0755 -s -o bin quantize_pixmaps "/home/martin/fvwm-2"
strip: /home/martin/fvwm-2/quantize_pixmaps: invalid file type

    Martin
-- 
| S I E M E N S |   [email-masked]   |       Siemens Nixdorf
| ------------- |   Voice: +49-89-636-46021     |   Informationssysteme AG
| N I X D O R F |   FAX:   +49-89-636-44994     |    81730 Munich, Germany
~~~~~~~~~~~~~~~~  (My opinions only, of course; pgp key available on request)
--
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].